<?php
// Fonctions utilitaires
function isValidMail($email)
{
   $exp = "^[a-z\'0-9]+([._-][a-z\'0-9]+)*@([a-z0-9]+([._-][a-z0-9]+))+$";

   if(eregi($exp,$email) and
      checkdnsrr(array_pop(explode("@",$email)),"MX")
     ){
       return true;
     }else{
       return false;
     }
}

// Creation d'une cle d'enregistrement
// Le programme register limite le buffer de codage a 1000
// La chane initiale est double dans le buffer, donc on
// limite la taile de l'adresse mail  500. 
function register($texte) 
{   
    $key = '';
    if (strlen($texte) < 500) {
        $key = exec('./bin/register '.escapeshellarg($texte));
    }
    
    return $key;
}

// Envoi de la cl  l'adresse mail
// retourne true si a am march et false sinon
function key_send($mail, $key) {
   // echo "<pre>key_send($mail, $key)</pre>";
   $to = $mail;
   $subject = 'Your password for WinSnoori';
   $message = 'Your registration for WinSnoori is :' . "\r\n\r\n" .
              '    organization: '.$mail . "\r\n" .
              '    password: '.$key . "\r\n" .
              "\r\n".
              'Thank You for using WinSnoori' . "\r\n" .
              'Please, have a look on http://www.loria.fr/~laprie/WinSnoori/PresentSnoori/WinSno.htm to see what you can do with WinSnoori.' . "\r\n" ;              
   $headers = 'From: Yves.Laprie@loria.fr' . "\r\n" .
              'Reply-To: Yves.Laprie@loria.fr' . "\r\n" .
              'X-Mailer: PHP/' . phpversion();
   
   $err = mail($to, $subject, $message, $headers);
   
   return $err;
}

// Enregistrement du couple mail/cle
function register_log($mail, $key) {
    // echo "<pre>register_log($mail, $key)</pre>";
    
    $logfile = 'logs/register.log';
    $content = date('Y/m/d H:i:s') . " $key $mail\n";
    
    // Assurons nous que le fichier est accessible en criture
    if ( is_writable($logfile)) {
    
       // Nous ouvrons le fichier $filename en mode d'ajout
       // Le pointeur de fichier est plac  la fin du fichier
       // c'est l que $somecontent sera plac
       if (!$handle = fopen($logfile, 'a')) {
             echo "Impossible d'ouvrir le fichier ($logfile)";
             exit;
       }
    
       // Ecrivons quelque chose dans notre fichier.
       if (fwrite($handle, $content) === FALSE) {
           echo "Impossible d'crire dans le fichier ($logfile)";
           exit;
       }
       
      // echo "L'criture de (<kbd>$content</kbd>) dans le fichier (<kbd>$logfile</kbd>) a russi";
       
       fclose($handle);
                       
    } else {
       echo "Le fichier $logfile n'est pas accessible en criture.";
    }
    
}

?>
