/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef _ENERGIES_H
#define _ENERGIES_H
struct paramEner  // Parametres du calcul de l'energie.
{
  float fmin;
  float fmax;
  float dbmin;
  float dbmax;
  float fenEner;
  int nbPtFenEner; // number of samples in the energy window
  int ordreFFT;    // number of points in the FFT calculation
  int depEner;     // sample shift between two calculations
  int cbas;        // corresponds to the coefficent index of fmin
  int chaut;       // corresponds to the coefficent index of fmax
  bool yaUneEchelle;
};
extern float enerBandeFminFmaxCentre(int ech);
extern void initCalculEnergie();
extern void dispEnergyScale();
extern struct paramEner psp_ener;
#endif