/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

#ifndef _ENERGYCLASS_H
#define _ENERGYCLASS_H


class energy {
public:
  float enerBandeFminFmaxCentre(int ech);
  void init(float fmin, float fmax, float fenEner);
  double compute(SAMPLEbuf& speech, int echt);
  double computeCentered(SAMPLEbuf& speech, int echt);
private:
 // Parametres du calcul de l'energie.
  float fmin;
  float fmax;
  float fenEner;
  int nbPtFenEner; // number of samples in the energy window
  int ordreFFT;    // number of points in the FFT calculation
  int cbas;        // corresponds to the coefficent index of fmin
  int chaut;       // corresponds to the coefficent index of fmax
  bool isPreac;
  FLOATbuf *X;
};
#endif
