/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier licence.cpp
//
                                    
#include "common.h"
#pragma hdrstop

#include <stdlib.h>
#include "snoori.h"
STRING organizationStr;
STRING passwordStr;







////////////////////////////////////////////
// fentre d'enregistrement de licence
//
class TWRegisterUser : public TDialog
{
    TGroupBox *PTOrgGroup;
    TGroupBox *PTPasswdGroup;
    TEdit *PTOrgText;
    TEdit *PTPasswdText;
 public:
    TWRegisterUser(PTWindowsObject AParent, LPSTR name);
    virtual bool CanClose();
};

TWRegisterUser::TWRegisterUser(PTWindowsObject AParent, LPSTR name)
	:TDialog(AParent,name)
{
  // initialiser le contenu des contrles
  //   avec les variables correspondantes
  PTOrgGroup = new TGroupBox(this,133);
  PTPasswdGroup = new TGroupBox(this,132);
  PTOrgText = new TEdit(this, 130);
  PTPasswdText = new TEdit(this, 131);
}


bool TWRegisterUser::CanClose()
{
  unsigned long nFileSystemNameSize, lpVolumeSerialNumber,
       lpMaximumComponentLength, lpFileSystemFlags;
  STRING lpVolumeNameBuffer, lpFileSystemNameBuffer, drive, dir, name,ext;
  PTOrgText->GetText(organizationStr,80);
  PTPasswdText->GetText(passwordStr,17);

#ifdef LICENCE
  extern bool verLic(const char *organization, const char *cle,
  							unsigned int lpVolumeSerialNumber, unsigned __int64 *cleFinale);
  extern char *strWith0(unsigned __int64 x);
  unsigned __int64 cleFinale;
  struct date currentDate, beforeDate;
  getdate(&currentDate);

    // Rcupration de la date limite si le nom de l'organisation commence par "date".
  if (organizationStr[0] >= '0' && organizationStr[0] <= '9') {
    STRING x;
    strncpy(x, organizationStr, 2); x[2] = 0;
    beforeDate.da_day = atoi(x);
    strncpy(x, organizationStr+2, 2); x[2] = 0;
    beforeDate.da_mon = atoi(x);
    strncpy(x, organizationStr+4, 4); x[4] = 0;
    beforeDate.da_year = atoi(x);
  }
  else {
    beforeDate.da_day = 32;
    beforeDate.da_mon = 13;
    beforeDate.da_year = 2099;
  }

  _splitpath(WinSnooriDirectory, drive, dir, name, ext);
  strcat(drive,"\\");
  GetVolumeInformation(drive, lpVolumeNameBuffer, MAX_LIGNE, &lpVolumeSerialNumber,
     &lpMaximumComponentLength, &lpFileSystemFlags, lpFileSystemNameBuffer, MAX_LIGNE);
  if (verLic(organizationStr, passwordStr, lpVolumeSerialNumber, &cleFinale)
 	   && (  currentDate.da_year < beforeDate.da_year
          || (currentDate.da_year == beforeDate.da_year && currentDate.da_mon < beforeDate.da_mon)
          || (currentDate.da_year == beforeDate.da_year && currentDate.da_mon == beforeDate.da_mon
           		&& currentDate.da_day <= beforeDate.da_day))) {
    STRING cleFinaleStr;
    unsigned int *ptr = (unsigned int *) &cleFinale;
    Licensed = true;
    WritePrivateProfileString ("WinSnoori", "Organization", organizationStr, "wsno.ini");
    strcpy(Organization, organizationStr);
    sprintf(cleFinaleStr, "%s", strWith0(cleFinale));
    WritePrivateProfileString ("WinSnoori", "Password", cleFinaleStr, "wsno.ini");
    desactive(PPMENUAllStandard);
    active(PPMENUTJSACTIFS);
    active(MENUNew);
    active(MENUOpen);
   }
#endif
  return true;
}



void Wtop::CMRegisterUser()
// fonction d'activation de la fentre dialogue
{
 TWRegisterUser(PTWtop,"WRegisterUser").Execute();
}



