#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#define LNSIZE 1000
main(int argn, char *argv[])
{

  FILE *filein, *fileout;
  int time, timeStep;
  char ligne[LNSIZE], ligneout[LNSIZE];
  if (argn != 4) {
    printf("addTime <Filein> <Fileout> <timeStepMs>");
    exit(0);
  }
  filein = fopen(argv[1],"r");
  fileout = fopen(argv[2], "w");
  timeStep = atoi(argv[3]);

  sprintf(ligneout, ".kla\n");
  fputs(ligneout, fileout);
  for (time = timeStep; fgets(ligne, LNSIZE, filein); time += timeStep) {
    sprintf(ligneout, "%d %s", time, ligne);
    fputs(ligneout, fileout);
  }
  
  fclose(filein);
  fclose(fileout);
}