/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */



class TWsnakeParametersControl : public TDialog
{
  public:
  TEdit *PTnbIterations;
  TEdit *PTDiscretization;
  TEdit *PTSpectroWeight;
  TEdit *PTalpha;
  TEdit *PTbeta;
  TEdit *PTgamma;
  TEdit *PTrepulsion;
  TCheckBox *PTCheckIntermediate;
  TEdit *PTshiftDisplay;
  TButton *PTOk;
  TStatic *PT[7];
  TWsnakeParametersControl(PTWindowsObject AParent, LPSTR name);
  ~TWsnakeParametersControl();
  virtual void SetupWindow();
  virtual bool CanClose();
  virtual void EvClose();
  void IDOk(WPARAM code);
  int GetNumberOfIterations();
  int GetDiscretization();
  float GetAlpha();
  float GetBeta();
  float GetGamma();
  float GetRepulsion();
  float GetSpectroWeigth();

 private:
  DECLARE_RESPONSE_TABLE(TWsnakeParametersControl);
};

