/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier affichmk.cpp
//

#include "common.h"
#pragma hdrstop

#include <stdio.h>
#include <math.h>

#include "signal.h"
#include "outils.h"
#include "axes.h"
#include "pitchmk.h"



void affichage_marques(
	  INTbuf& Pitch_Mark,	 /* marques sur le signal temporel       */
	  long premEcht,	  /* echantillon de debut d'affichage 	    */
	  long derEcht,	  /* echantillon de fin   d'affichage  	    */
	  d_planche *fenetre)  /* fenetre  */

{
  int i,pn;
  float vmax;

  Wact->wr(ml(2101,"draw sound"));
  wsignal->wsig->setLXcoor(ct.d_a, ct.f_a);

	// donner les ordonnes  la fenetre signal
  vmax=10;
  wsignal->wsig->setLYcoor(-vmax*1.1,vmax*1.1);

  for (i = 0, pn = 0; i < Pitch_Mark.size(); i++, pn++) {
    int pDX;
    if (Pitch_Mark[i] < 0)
  	   MgiHue(VERT, wsignal->wsig);   // partie non voisee
    else MgiHue(BLEU, wsignal->wsig);   // partie voise

    pDX=wsignal->wsig->LXtoDX((long)fabs(Pitch_Mark[i]));
    wsignal->wsig->Dline2(pDX,wsignal->wsig->LYtoDY(5),
					  	  pDX,wsignal->wsig->LYtoDY(10));
  }

  Wact->wr("");
  InvalidateRect(wsignal->wsig->HWindow,NULL,TRUE);
}




