/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier audio.h
//

#ifndef _AUDIO_H
#define _AUDIO_H

class WAVEOUTDEVICE
{ public:
    int id; // device courant
    int num; // number of devices
    WAVEOUTCAPS caps; // capabilities of the device

    WAVEOUTDEVICE();
    void newid(int n);
};

class WAVEINDEVICE
{ public:
    int id; // device courant
    int num; // number of devices
    WAVEINCAPS caps; // capabilities of the device

    WAVEINDEVICE();
    void newid(int n);
};

bool isWAV(char *filename);

extern WAVEOUTDEVICE WaveOutDevice;

extern void erboxmmio(int num,char *proc,char *file,char *text);
extern int erboxmmioOpen(int num,char *proc,char *file,HMMIO code);
extern int erboxmmioClose(int num,char *proc,char *file,UINT code);
extern int erboxmmioRead(int num,char *proc,char *file,LONG code);
extern int erboxmmioWrite(int num,char *proc,char *file,LONG code);
extern int erboxmmioSeek(int num,char *proc,char *file,LONG code);
extern int erboxmmioDescend(int num,char *proc,char *file,UINT code);
//
extern HMMIO mmioOpenCB(LPSTR szFilename
                ,LPMMIOINFO
		,DWORD dwOpenFlags);
extern UINT mmioCloseCB(HMMIO hmmio,UINT wFlags);
//
extern void play_n(short *p,long np
              ,unsigned int freq,int nbrep);
extern int play_WAV( char *file_path );
extern void record();
#endif
