/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier cherchan.cpp
//

#include "common.h"
#pragma hdrstop

#include <stdio.h>
#include <math.h>
#include <sys/types.h>
#include <sys/stat.h>

#include "snoori.h"
#include "signal.h"
#include "notetiq.h"
#include "outils.h"

static char AnnotAChercher[MAX_LIGNE]; // annotation  chercher

static void chercherAnnotation(char *texte)
{ int i;
  char ch[80];

  logs.open1(); 
  logs.puts1(ml(3004,"chercher le texte : "));
  logs.puts1(texte);
  logs.rclf1();
  logs.puts1(ml(3005,"... dans le fichier courant : "));
  logs.puts1(en_cours.nom);
  logs.rclf1(); 
  logs.wr1(ml(3010,"Dbut\tFin"));
  logs.wr1(ml(3011,"[ms]\t[ms]"));
  for (i = 0; i < notes.nb-1; i++)
    if ( !strcmp(notes.e[i]->Text(), texte) )
	 { sprintf(ch,"%ld\t%ld\t%s"
          ,enMilli(notes.e[i]->limite)
          ,enMilli(notes.e[i+1]->limite)
          ,texte);
		logs.wr1(ch);
    }
  logs.close1();
  return;
}

void Wtop::CMchercheAnnot()
// fonction d'activation de la fentre dialogue
{ 
  if (MyInputDialog(ml(3002,"Recherche d'une annotation")
		    ,ml(3003,"entrez l'annotation")
		    ,AnnotAChercher,70))
  { chercherAnnotation(AnnotAChercher);
    logs.show1();
  }
}

