/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier class_sig.h
//

#ifndef _CLASS_SIG_H
#define _CLASS_SIG_H

#include "common.h"
#include "spectro.h"

class WSignal : public TFrameWindow
{
	public:
      struct infoFile info_en_cours;
      struct ctrl_temps cts;
      Wdonnees_spectro *wspectr;
      TScrollBar *scroll;
      HMENU menu;

      WSignal(PTWindowsObject AParent, char *title = 0);
      virtual ~WSignal();
	   void EvSize(uint sizeType, TSize &size);
      virtual void SetupWindow();
      virtual bool CanClose();
      void trouveQuoiAfficher(int where);
      void IDscrollbar(WPARAM);
      void SetModeZoom(int mode);
      void afficher_signal(d_planche *fenetre);
      void lecture_signal(char *filename, int where);
      int _ie(echt) { return(echt - cts.d_e); }
      void afficherSpectro();
      void CMzoomOut();
      void CMzoomIn();
      void execZoom(int d, int f);
      void CMplay();
      void spectro_GetParams(int mode);
      void spectrogram(long premEcht, long derEcht, int clear);
      void allerA(long echt);
      
  private:

      SAMPLEbuf * sig;
      spectres  spsp;

      void deplacementGauche(struct ctrl_temps& temps);
      void deplacementDroite(struct ctrl_temps& temps);
      void deplaceLecture();
      void SetScrollSpectroPosition(long echt);

	   DECLARE_RESPONSE_TABLE(WSignal);
};

#endif
