/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier cnotetiq.h
//

#ifndef _CNOTETIQ_H
#define _CNOTETIQ_H

// dans le fichier annoter.h
extern void drawDownAnnot(int event_x);
extern void drawUpAnnot(int event_x);
extern void drawDblclkAnnot(int event_x);
extern void drawMotionAnnot(int event_x);
// dans le fichier etiman.cpp
extern void drawDownEtiq(int event_x);
extern void drawMotionEtiq(int event_x);
extern void drawUpEtiq(TPoint& point);
extern void drawDblclkEtiq(int event_x);
extern void drawDblclkREtiq(int event_x);
// dans le fichier recher_c.cpp
extern void extrait1seq(
    notetiqs& ne   // tiquetage source
   ,int j_deb      // 1er lment dans ne
   ,int j_fin      // dernier lment dans ne
   ,notetiqs& Ex   // tiquetage rsultats
   ,long *nbEcht   // nombre d'echantillons du fichier resultat
   ,infoFile& dstinfo_par   // fichier resultat de signal temporel
   ,BOOL isPar   // TRUE si le fichier de parole existe
   ,int& nbhit);    // nombre de hits

#endif   
