/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier drawbutton.h
//

#ifndef _DRAWBUTTON_H
#define _DRAWBUTTON_H
//
//
//
class TDrawableButton : public TButton {
  public:
    int idtext;
    TDrawableButton(TWindow* parent, int resId) : TButton(parent, resId) {};
    TDrawableButton(TWindow *parent, int itext, int Id, const char far* text, int X, int Y, int W, int H, bool isDefault = false, TModule* module = 0):
      TButton(parent, Id, text, X, Y, W, H, isDefault, module) {idtext = itext; Attr.Style |= BS_OWNERDRAW;};

~TDrawableButton() {}

    void ODADrawEntire(DRAWITEMSTRUCT far& drawInfo);
    void ODAFocus(DRAWITEMSTRUCT far& drawInfo);
    void ODASelect(DRAWITEMSTRUCT far& drawInfo);
};
#endif   /* _DRAWBUTTON_H  */
