/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier files.h
//
#ifndef _FILES_H
#define _FILES_H
// dans le fichier choix_fi.cpp
extern void infoFile_set_noms(infoFile& infoFile
			     ,char *filename);
extern bool init_infoFile_read(
     struct infoFile *nv);
extern bool init_infoFile_write(
     struct infoFile *nv);
// dans le fichier droit_ec.cpp
extern bool droit_ecrire_message(char *filename);
extern bool droit_ecrire(char *filename);
// dans le fichier selecteu.cpp
extern bool WindowsWAVfiles;
extern int get_nom_fichier_open(PTWindowsObject Parent
			,char *filename);
extern int get_nom_fichier_save(PTWindowsObject Parent
			,char *filename);
extern int SelectFile(PTWindowsObject Parent
		     ,char *filename);
extern int SelectDir(PTWindowsObject Parent
		     ,char *filename);
extern bool isFile(char *filename);
extern bool isWAV(char *filename);
extern bool isExt(char *filename);
extern int is_readable(char *filename);
extern void x_makepath(char *x_path
	       ,char *x_drive,char *x_dir
               ,char *x_fname,char *x_ext);
extern void splitmakedir(char *chemin);
extern void normdir(char *dir);
extern bool is_a_directory(char *chemin);
// dans le fichier sof.cpp
extern int fsof(FILE *f);   // calcule
extern long sof(int f);	    //   la taille d'un
extern long nsof(char *s);  //     fichier en caractres
#endif
