/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier listyl.h
//

#ifndef _LISTYL_H
#define _LISTYL_H


typedef PolyPointsKla TypeItem;

class Item {
  public :
  friend class Listyl;
//  private :
    Item(TypeItem *value, Item *item = 0) {
      val = value;
      next = item;
    }
    ~Item() {
      delete val;
    }
    TypeItem *val;
    Item *next;
};

class Listyl {
  public :
    Listyl() { list = 0; }
    ~Listyl() { remove(); }
    bool isEmpty();
    void remove();
    void append(TypeItem *);
    void removeIfSelec();
	 void insertSorted(TypeItem *x);
//  private :
    Item *list;
};
#endif


