function mel = frq2mel(frq)
mel = log(1+frq/700)*1127.01048;
endfunction
function frq = mel2frq(mel)
frq=700*(exp(mel/1127.01048)-1);
endfunction

function [y]= melfilter(w,mel)
s=size(w)
for i=1:s(2) if frq2mel(w(i)) < mel - 100 then
  y(1,i) = 0
elseif frq2mel(w(i)) < mel  then
  y(1,i) = 1 - (mel - frq2mel(w(i))) / 100
elseif  frq2mel(w(i)) < mel + 100 then
  y(1,i) = 1 - (frq2mel(w(i)) -  mel) / 100
else
  y(1,i) = 0
end
end
endfunction
