/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier wformant.h
//

#ifndef _WFORMANT_H
#define _WFORMANT_H

// Pour l'affichage des formants
//   dans le plan F1-F2
#define		F1MAX 900.0
#define		F2MAX 2600.0
#define		F1MIN 100.0
#define		F2MIN 100.0 //400.0

// dans le fichier affv.cpp
extern void affv(
	  d_planche *fenetre);    /* fenetre ou se passe l'affichage 	*/
extern void affVoyelles();
// fichier fenforma.cpp
class d_planche_f1f2 : public d_planche
{ public:
    d_planche_f1f2(PTWindowsObject);
    ~d_planche_f1f2();
	 // rponses aux vnements
	 /*
	 virtual void WMLButtonDown(RTMessage)
		   = [WM_FIRST+WM_LBUTTONDOWN];
    virtual void WMLButtonUp(RTMessage)
		   = [WM_FIRST+WM_LBUTTONUP];
    virtual void WMMouseMove(RTMessage)
		   = [WM_FIRST+WM_MOUSEMOVE];
	 */
	 void EvLButtonDown(uint Modkeys, TPoint& point);
	 void EvLButtonUp(uint Modkeys, TPoint& point);
	 void EvMouseMove(uint Modkeys, TPoint& point);
	 DECLARE_RESPONSE_TABLE(d_planche_f1f2);
};

extern d_planche_f1f2 *wf1f2;

// dans le fichier mccandle.cpp
extern bool yaUneFenetreMccandless;
extern void mccandless(
     long deb, long fin,
     float fret,
     d_planche *fenf1f2,
     d_planche *fenspectro,
     SAMPLEbuf& cnv,
     COLORREF couleur);

#endif

