/* This file is part of WinSnoori.

 WinSnoori is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3 of the License.

WinSnoori is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with WinSnoori.  If not, see <http://www.gnu.org/licenses/>. */

// fichier wopensav.h
//

#ifndef _WOPENSAVE_H
#define _WOPENSAVE_H

#include <owl/edit.h>
#include <owl/radiobut.h>
#include "common.h"
#include "snoori.h"
#include "wsno.h"

const int MAX_CHAR					= 250;

class WOpenSaveDialog : public TOpenSaveDialog
{
TRadioButton *PTkeepLocation, *PTrelocate;
TEdit    *PTEdit;
	public:
 	 WOpenSaveDialog(TWindow* parent, int &isRelocatedAt, TData& data, TResId templateId);
    ~WOpenSaveDialog() {
/*      delete PTkeepLocation;
      delete PTrelocate;
      delete PTEdit;   */
    }
//    LRESULT CALLBACK truc(HWND hdlg,	uint msg, WPARAM wParam,  LPARAM lParam);
    void CmOk();
    int DoExecute();
    void IDRelocate(WPARAM code);
    void IDKeepLocate(WPARAM code);
   protected:
    OPENFILENAME wofn;
    int& isRelocatedAt_;

    //    LRESULT CALLBACK truc(HWND hdlg,	uint msg, WPARAM wParam,  LPARAM lParam);

    // TOpenSaveDialog::TData&       Data;
    void Init(TResId templateId);
    static uint ShareViMsgId;
   private:
};

class WFileOpenDialog : public WOpenSaveDialog
{
	public:
 	 WFileOpenDialog(TWindow* Parent, int& isRelocatedAT, TData& data, TResId templateId)
      : WOpenSaveDialog(Parent, isRelocatedAT, data, templateId) {}

   private:
   
};


#endif